/Users/bernard/b20/bsoft/include/rwGenBank.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwGenBank.h - Header file for reading and writing GenBank sequence files.

SYNOPSIS

#include 'rwmolecule.h'

  Functions
int readGenBank (Bstring &filename, Bmolgroup *molgroup)
Reads GenBank format sequence files.
int writeGenBank (Bstring &filename, Bmolgroup *molgroup)
Writes GenBank format sequence files.

Detailed Description

Header file for reading and writing GenBank sequence files.

Author:
    Bernard Heymann

Date:
    Created: 20030308

    Modified: 20030308

    Format: Protein sequence file format

Definition in file rwGenBank.h.

Function Documentation

  int readGenBank (Bstring & filename, Bmolgroup * molgroup)

Reads GenBank format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

    GenBank format:
    LOCUS       NP_039940                284 aa            linear   VRL 13-FEB-2003
    DEFINITION  UL6 [Human herpesvirus 5].
    ACCESSION   NP_039940
    ORIGIN
            1 mhakmngwag vrlvthclnt rsrtyvalnm lafartprgv psclfnkvwv sryalvlilm
           61 vcasesstsw avtsnrlpnc stitttagqd aelhgpapls cnvtqwgrye ngstpvlwct
          121 lwgsrtrvsl ghrvafgcsw ktffiynvse ssggty

Definition at line 33 of file rwGenBank.cpp.

  int writeGenBank (Bstring & filename, Bmolgroup * molgroup)

Writes GenBank format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

Definition at line 123 of file rwGenBank.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.